[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [K12OSN] Sound problems



On 08/23/2011 12:22 PM, Jeff Siddall wrote:
On 08/22/2011 11:41 AM, Jomegat wrote:
On 08/22/2011 10:52 AM, Jeff Siddall wrote:
On 08/22/2011 09:34 AM, Jomegat wrote:
On 08/22/2011 08:50 AM, Gideon Romm wrote:
On Sun, Aug 21, 2011 at 12:49 PM, Jomegat<jomegat jomegat com> wrote:

[root monarch ~]# aplay
ALSA lib confmisc.c:768:(parse_card) cannot find card '0'

It seems ALSA cannot find card 0.

Did you run this command on the server?

Good question. I was logged into a TC and opened an xterm. I THINK that
means I ran the command on the server. I do not know how to run
anything
on the TC, but would appreciate enlightenment.


If YES => the alsa -> pulseaudio redirection is not configured and you
need to modify your /etc/asound.conf

This could be it - there is no /etc/asound.conf. Perhaps I have a
missing package?


If NO (you ran the command on the thin client) => The thin client
cannot find an appropriate driver for the sound card.

Thanks!

Are you sure you are running K12Linux and not K12LTSP? K12Linux used
LTSP5 and I thought pulseaudio was one of the things that didn't work in
EL5. Most EL5 users run K12LTSP which was LTSP4.

If it is LTSP4 I really have no idea how it is supposed to work because
I have never run anything less than LTSP5.

It looks like LTSP4 is using ESD for network audio but I don't know if
the mic ever worked with that.

You might end up having to go to K12Linux with Fedora or EL6.

Sorry - I typed K12Linux when I meant K12LTSP. I guess I need EL6 then.
I have two servers right now - one of them is at the school and is
slated for retirement. The other is here on my desk at the office. I
could do an install from scratch.

My main requirement is to support the old 900MHz Celeron's we're using
for TC's. As I've been reading the list, it looks like I need to be
careful about what I upgrade to. EL6 supports old clients, right?

No, unfortunately EL6 doesn't support "old" clients that well, but that
is really dependent on your definition of "old". I would say it does not
support _really_ old clients. Basically any CPU that will run i686 with
PAE is good enough -- maybe even i686 without PAE. i586 and below (we
are talking a decade old or more now) are probably a no-go. A Celeron
900 (mobile I assume) should be fine.

Before you go to far you might want to try a test by downloading a SL6
live CD (i686 of course, not x86_64) and see if your clients will boot.
You can burn it on a USB stick if your clients don't have CD drives.

Of course it is also possible that mics can be made to work with LTSP4
but unfortunately someone else will have to help you with that. To be
honest I have not even tried mics on LTSP5, but in principle pulseaudio
should handle that.

Jeff

_______________________________________________
K12OSN mailing list
K12OSN redhat com
https://www.redhat.com/mailman/listinfo/k12osn
For more info see <http://www.k12os.org>


Thanks to everyone who helped on this. I installed Centos 6 and followed the instructions at https://fedorahosted.org/k12linux/wiki/InstallGuide - and everything is working swimmingly!

Yay! I have so far tested USB flash drives, audio (in and out), flash (no nspluginwrapper). I've tried it with the one of the TC's we are using as well as with three other PC's in my office. It's a nice face lift too BTW.

This evening I will deploy.

I'd like to especially thank Warran for his work on making that happen.

--
Jim Thomas            Principal Applications Engineer  Bittware, Inc
jthomas bittware com  http://www.bittware.com    (603) 226-0404 x536
Having a smoking section in a restaurant is like
having a peeing section in a swimming pool.


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]